package intrinsic.mx.effects;

public class EffectInstance extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.effects.IEffectInstance {

	/** Accessors */
	public Object target;
	public double playheadTime;
	public intrinsic.flash.events.Event triggerEvent;
	public int repeatDelay;
	public boolean hideFocusRing;
	public int startDelay;
	public intrinsic.mx.effects.IEffectTargetHost effectTargetHost;
	public String className;
	public int repeatCount;
	public double duration;
	public intrinsic.mx.effects.effectClasses.PropertyChanges propertyChanges;
	public boolean suspendBackgroundProcessing;
	public intrinsic.mx.effects.Effect effect;
	public boolean playReversed;
	public double actualDuration;

	/** Variables */
	public intrinsic.flash.utils.Timer delayTimer;
	public intrinsic.mx.effects.EffectInstance parentCompositeEffectInstance;
	public boolean durationExplicitlySet;
	public boolean hideOnEffectEnd;
	public boolean stopRepeat;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public EffectInstance() {
}

public EffectInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void resume();
public native void end();
public native void pause();
public native void play();
public native void initEffect(intrinsic.flash.events.Event arg0);
public native void finishEffect();
public native void finishRepeat();
public native void reverse();
public native void startEffect();
public native void stop();
public native void playWithNoDuration();
public native void eventHandler(intrinsic.flash.events.Event arg0);

}
